package cn.tonyandmoney.tuon.core.config

import cn.tonyandmoney.tuon.core.cros.GlobalCrosFilter
import cn.tonyandmoney.tuon.core.cros.GlobalWebCrosFilter
import cn.tonyandmoney.tuon.core.properties.CustomConfigProperties
import org.springframework.boot.autoconfigure.condition.ConditionalOnClass
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty
import org.springframework.boot.context.properties.EnableConfigurationProperties
import org.springframework.context.annotation.Bean
import org.springframework.context.annotation.Configuration
import org.springframework.web.server.WebFilter
import reactor.core.publisher.Flux


/**
 * 通用的核心配置
 */
@Configuration
@EnableConfigurationProperties(value = [CustomConfigProperties::class])
class CustomCoreConfiguration {


    @Bean
    @ConditionalOnProperty(prefix = "custom.config.enable", name = ["cros"], havingValue = "true", matchIfMissing = true)
    @ConditionalOnClass(Flux::class)
    fun fluxCrosFilter(): WebFilter {
        return GlobalCrosFilter()
    }

    @Bean
    @ConditionalOnProperty(prefix = "custom.config.enable", name = ["cros"], havingValue = "true", matchIfMissing = true)
    fun crosFilter(): GlobalWebCrosFilter {
        return GlobalWebCrosFilter()
    }


}