package cn.tonyandmoney.tuon.web

import org.springframework.boot.SpringApplication
import org.springframework.boot.autoconfigure.SpringBootApplication
import org.springframework.boot.builder.SpringApplicationBuilder
import org.springframework.boot.web.servlet.support.SpringBootServletInitializer
import org.springframework.cloud.client.discovery.EnableDiscoveryClient
import org.springframework.cloud.netflix.eureka.EnableEurekaClient
import org.springframework.session.data.redis.config.annotation.web.server.EnableRedisWebSession

/**
 * 所以这个
 */
@EnableEurekaClient
@EnableDiscoveryClient
@EnableRedisWebSession
@SpringBootApplication(scanBasePackages = ["cn.tonyandmoney.tuon"])
class MainApplication : SpringBootServletInitializer() {
    override fun configure(builder: SpringApplicationBuilder): SpringApplicationBuilder {
        return builder.sources(MainApplication::class.java)
    }

}


fun main() {
    SpringApplication.run(MainApplication::class.java)
}